#include <camcapture.h>

/* set video device name */
char *devname = "/dev/video0";


int main(int argc, char *argv[])
{	
	int n;
	/* initiate */
	camcapture_init(devname, 640, 480);
	/* image data struct */
	image_data_t imgdata;
	
	/* the color to be filtered */
	color_rgb_t filtercolor;
	/* set the color to a warm yellow */
	filtercolor.r = 220;
	filtercolor.g = 200;
	filtercolor.b = 0;
	
	/* lets take n frames */
	n = 20;
	while( (n--) > 0 )
	{
		/* Lock the device 
		 *  - Keeps cam from writing into buffer
		 *  - Waits for an image    */
		camcapture_lock();

		/* Get the frame */
		camcapture_get_frame(&imgdata);
		
		/* now filter the color filtercolor with a
		 * sensibility of 50  */
		camcapture_filter_color(&imgdata, &filtercolor, 50);

		/* save the picture to the file frame<cnt>.pnm 
		 * the _inc extended version automaticaly 
		 * appends the frame number and '.pnm' to the name */
		camcapture_save_pnm_inc(&imgdata, "frame");

		/* now we can unlock the cam */
		camcapture_unlock();
	}
	
	/* clean up */
	camcapture_destroy();
	
	return 0;
}
